import { request } from "../../config";

// 查询金蝶参数
export function getSynchronization() {
    return request({
        url: '/api/init/connect/param',
        method: 'get'
    })
}

// 保存金蝶参数
export function putSynchronization(data: any) {
    return request({
        url: '/api/init/connect/param/create',
        method: 'post',
        data
    })
}

// 手动开启同步
export function postManual(tableHeaderList: any) {
    return request({
        url: '/api/manual/synchronization',
        method: 'post',
        data: { tableHeaderList }
    })
}
// 开启自动同步
export function getStart() {
    return request({
        url: '/api/start/synchronization',
        method: 'get',
    })
}
// 关闭自动同步
export function getOff() {
    return request({
        url: '/api/turn/off/synchronization',
        method: 'get',
    })
}
// 手动重新同步错误同步
export function getabnormal() {
    return request({
        url: '/api/abnormal/synchronization',
        method: 'get'
    })
}
